# storage-values.yaml
# Reference values file for the Storage Service (Full Deployment)
# Replace placeholders with your environment-specific values before use.
#
image:
  pullSecrets:
    - name: ngcpull-secret

# storage config
config:
  storage:
    # s3 config
    s3:
      endpoints:
        "{mybucketname}.s3.{region}.amazonaws.com": # {mybucketname} is the name of your S3 bucket you created, {region} is the region of your S3 bucket
          credentials:
            accessKey:
              accessKeyId: "${BUCKET_ACCESS_KEY_ID}" # This is an environment variable that will be set at the time of deployment.
              secretAccessKey: "${BUCKET_SECRET_ACCESS_KEY}" # This is an environment variable that will be set at the time of deployment.
    # azure config
    azure:
      azureBlob:
        endpoints:
          {mystorageaccount}.blob.core.windows.net: # {mystorageaccount} is the name of your Azure Storage Account you created
            credentials:
              storageKey:
                storageAccount: {mystorageaccount} # This is the name of the Azure Storage Account you created
                storageKey: "${AZ_BLOB_STORAGE_KEY}" # This is an environment variable that will be set at the time of deployment.
  # # notifications config
  # storageEvents:
  #   azureServiceBus:
  #     enabled: true
  #     queueNamespace: "<service-bus-namespace-name>"
  #     queueName: "<service-bus-queue-name>"
  #     credentials:
  #       sharedAccessPolicyKey:
  #         policyName: "RootManageSharedAccessKey"
  #         policyKey: "${AZURE_SERVICE_BUS_POLICY_KEY}"

  #   sqs:
  #     enabled: true
  #     queueUrl: "<sqs-queue-url>"
  #     region: "<aws-region>"
  #     # When using IRSA/service account, omit accessKeyId and secretAccessKey
  #     credentials:
  #       accessKey:
  #         accessKeyId: "${SQS_ACCESS_KEY_ID}"
  #         secretAccessKey: "${SQS_SECRET_ACCESS_KEY}"

  # notificationClient:
  #   enabled: true
  #   endpointUrl: "http://<event-aggregation-svc-name>.<event-aggregation-svc-namespace>.svc.cluster.local:50051"
  #   secure: false

# environment variables for the storage service
extraEnvs:
  # s3 access key id
  - name: BUCKET_ACCESS_KEY_ID # This is the name of the environment variable that will be set at the time of deployment.
    valueFrom:
      secretKeyRef:
        name: {mybucketname}-bucket-secret
        key: BUCKET_ACCESS_KEY_ID # This is the key in the secret with the value we will set the environment variable to.
  - name: BUCKET_SECRET_ACCESS_KEY # This is the name of the environment variable that will be set at the time of deployment.
    valueFrom:
      secretKeyRef:
        name: {mybucketname}-bucket-secret
        key: BUCKET_SECRET_ACCESS_KEY # This is the key in the secret with the value we will set the environment variable to.
  # azure blob storage key
  - name: AZ_BLOB_STORAGE_KEY # This is the name of the environment variable that will be set at the time of deployment.
    valueFrom:
      secretKeyRef:
        name: {mystorageaccount}-container-secret
        key: AZ_BLOB_STORAGE_KEY # This is the key in the secret with the value we will set the environment variable to.
  # # notifications config
  # # azure service bus policy key
  # - name: AZURE_SERVICE_BUS_POLICY_KEY
  #   valueFrom:
  #     secretKeyRef:
  #       name: storage-notifications-secret
  #       key: AZURE_SERVICE_BUS_POLICY_KEY
  # # sqs access key id
  # - name: SQS_ACCESS_KEY_ID
  #   valueFrom:
  #     secretKeyRef:
  #       name: storage-notifications-secret
  #       key: SQS_ACCESS_KEY_ID
  # - name: SQS_SECRET_ACCESS_KEY
  #   valueFrom:
  #     secretKeyRef:
  #       name: storage-notifications-secret
  #       key: SQS_SECRET_ACCESS_KEY
  # - name: NOTIFICATION_SERVICE_CLIENT_SECRET
  #   valueFrom:
  #     secretKeyRef:
  #       name: storage-notifications-secret
  #       key: NOTIFICATION_SERVICE_CLIENT_SECRET

# # smoke tests
# tests:
#   enabled: true
#   storageApiResourceBase: "https://storage.example.com/bucket/"
#   auth:
#     microsoftUrl:
#       valueFrom:
#         secretKeyRef:
#           name: smoke-test-auth
#           key: microsoft-url
#     credentials:
#       valueFrom:
#         secretKeyRef:
#           name: smoke-test-auth
#           key: credentials
#     scope:
#       valueFrom:
#         secretKeyRef:
#           name: smoke-test-auth
#           key: scope
# smokeTest:
#   image:
#     pullSecrets:
#       - name: ngcpull-secret